@import "./normalize.min.css";
@import './variables.css';

*{
  box-sizing: border-box;
  font-family: 'Arial', sans-serif;
  margin: 0;
  }

:root {
  --width-list: 1400px;
  --time-anim: 14s;
  --step-anim: calc(-1 * (var(--time-anim) / 7));
  --width-block: 15%;

  --start-height: 350px;
  --finish-height: 450px;
}


h1, h2, h3, h4, h5, h6 {
  margin: 0;
  font-weight: normal;
}

a {
  text-decoration: none;
  color: #000;
}

ul {
  list-style: none;
  padding: 0;
  padding-inline-start: 0;
}

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
  background-color: #2c2c54;
  font-family: 'Roboto Mono', monospace;
}

body {
  padding-right: 200px;
  padding-top: 700px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.form {
  position: absolute;
  top: 10px;
}

.cards-list {
  width: var(--width-list);
  display: flex;
  align-items: flex-end;
  margin: 0 auto;
  position: relative;
}

.cards-list__elements {
  overflow: hidden;

  border-radius: 15px;
  padding: 30px 0 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: var(--width-block);
  box-shadow: 0px 81px 69px -39px rgba(0,0,0,0.75);
  position: absolute;

  animation-name: first;
  animation-duration: var(--time-anim);
  animation-timing-function: linear;
  animation-delay: 0s;
  animation-direction: normal;
  animation-iteration-count: infinite;
  animation-fill-mode: none;
  animation-play-state: running;
}

.cards-list__elements i {
  color: #fff;
  font-size: 60px;
  margin-bottom: 30px;
  transition: ease-in 0.1s;
}

.cards-list__elements:hover i {
  color:#341f97;
}

.cards-list__elements h3 {
  font-family: 'Roboto Mono', monospace;
  font-size: 25px;
  text-align: center;
  width: 80%;
  color: #b71540;
}

.cards-list__elements p {
  color: #f5f6fa;
  line-height: 1.2;
  font-family: 'Roboto Mono', monospace;
  font-size: 12px;
  text-align: center;
  width: 80%;
}

/* --- LI --- */

.cards-list__elements:nth-child(1) {
  background-color: #eb3b5a;
}
.cards-list__elements:nth-child(2) {
  /* display: none; */
  background-color: #20bf6b;
  animation-delay: var(--step-anim);
}
.cards-list__elements:nth-child(3) {
  /* display: none; */
  background-color: #8854d0;    
  animation-delay: calc(2 * var(--step-anim));
}
.cards-list__elements:nth-child(4) {
  /* display: none; */
  background-color: #778ca3;
  animation-delay: calc(3 * var(--step-anim ));
}
.cards-list__elements:nth-child(5) {
  /* display: none; */
  background-color: #a5b1c2;
  animation-delay: calc(4 * var(--step-anim));
}
.cards-list__elements:nth-child(6) {
  /* display: none; */
  background-color: #0fb9b1;
  animation-delay: calc(5 * var(--step-anim));
}
.cards-list__elements:nth-child(7) {
  /* display: none; */
  background-color: #f7b731;
  animation-delay: calc(6 * var(--step-anim));
}


.cards-list:hover .cards-list__elements {
  animation-play-state: paused;
}

@keyframes first {
  0% {
    left: 0%;
    height: var(--start-height);
    z-index: 0;
}
14.3% {
    left: 16.7%;
    z-index: 0;
}
28.6% {
    left: 33.4%;
    height: var(--finish-height);
    z-index: 1;
}
42.9% {
    left: 50.1%;
    height: var(--finish-height);
    z-index: 1;
}
57.3% {
    left: 66.8%;
    height: var(--finish-height);
    z-index: 1;
}
71.6% {
    left: 83.5%;
   z-index: 1;
}
85.9% {
    left: 100%;
    height: var(--start-height);
    z-index: -1;
}
100% {
    left: 0%;
    height: var(--start-height);
    z-index: -1;
}
}